Name:           tetzle
Version:        2.1.0
Release:        1%{?dist}
Summary:        Jigsaw puzzle game
License:        GPLv3+
URL:            http://gottcode.org/%{name}/
Source:         http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2
Source1:        %{name}.appdata.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qt5-qttools-devel

%description
Tetzle is a jigsaw puzzle game that uses tetrominoes for the pieces.
Any image can be imported and used to create puzzles with a wide
range of sizes. Games are saved automatically, and you can select
between currently in progress games.

%prep
%setup -q

%build
%{qmake_qt5} PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/appdata/
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/

%find_lang %{name} --with-qt --without-mo

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop || :
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml || :

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc ChangeLog CREDITS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/tetzle.6.*

%changelog
* Fri Oct 28 2016 Martin Gansser <martinkg@fedoraproject.org> - 2.1.0-1
- Initial package
